kladminserver service fails to run after an upgrade of Kaspersky Security Center to version 13.2

 

Kaspersky Security Center 13

 
 
 

kladminserver service fails to run after an upgrade of Kaspersky Security Center to version 13.2

Back to "Errors"
Latest update: February 15, 2022 ID: 15814
 
 
 
 

This article concerns Kaspersky Security Center 13.2 (version 13.2.0.1511).

 
 
 
 

Issue

After Kaspersky Security Center is upgraded to version 13.2 the kladminserver may fail to run. The log will show the following event:
The service' kladminserver 'was stopped due to an error #1950 (102) Generic db error: "102 'Incorrect syntax near '('.{42000};' LastStatement='EXEC grp_sync_subgroups'".

Cause

The error occurs because of the incorrect database compatibility level specified in Microsoft SQL Server.

Solution

Change the database compatibility level in Microsoft SQL Server Management Studio using the command:

ALTER DATABASE <database name> SET COMPATIBILITY_LEVEL = <compatibility level>

If you are using Microsoft SQL Server Express Edition, download the free version of Microsoft SQL Server Management Studio.

Specify the compatibility level depending on the Microsoft SQL Server version that you are using:

Microsoft SQL Server version Compatibility level
2014 (12.x) 120
2016 (13.x) 130
2017 (14.x) 140
2019 (15.x) 150

You can also change the database compatibility level via the SQL Management Studio GUI. See the guide on the Microsoft website.

 
 
 
 
 

What to do if the solution did not help

 
 
 
 
Was this information helpful?
Yes No
Thank you
 
 
 

 
 

How can we improve this article?

Your feedback will be used for content improvement purposes only. If you need assistance, please contact technical support.

Submit Submit

Thank you for your feedback!

Your suggestions will help improve this article.

OK